/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSFontFaceRule_H__
#define __GdomCSSFontFaceRule_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSRule.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSFontFaceRule GdomCSSFontFaceRule;
typedef struct _GdomCSSFontFaceRuleClass GdomCSSFontFaceRuleClass;


#define GDOM_TYPE_CSS_FONT_FACE_RULE            (gdom_css_font_face_rule_get_type())
#define GDOM_CSS_FONT_FACE_RULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_FONT_FACE_RULE, GdomCSSFontFaceRule))
#define GDOM_CSS_FONT_FACE_RULE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_FONT_FACE_RULE, GdomCSSFontFaceRule)Class)
#define GDOM_IS_CSS_FONT_FACE_RULE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_FONT_FACE_RULE))
#define GDOM_IS_CSS_FONT_FACE_RULE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_FONT_FACE_RULE))
#define GDOM_CSS_FONT_FACE_RULE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_FONT_FACE_RULE, GdomCSSFontFaceRuleClass))

typedef struct _GdomCSSFontFaceRulePrivate GdomCSSFontFaceRulePrivate;

struct _GdomCSSFontFaceRule {
    GdomCSSRule parent_instance;
    GdomCSSFontFaceRulePrivate *priv;
};

struct _GdomCSSFontFaceRuleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_font_face_rule_get_type (void);

G_END_DECLS

#endif /* __GdomCSSFontFaceRule_H__ */
